ReferenceCompanies
Get a company representative
Returns one representative of the company. 404 when `representativeId` does not belong to `companyId`. Requires `Permissions.Companies.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
companyId*integerFormat
int32representativeId*integerFormat
int32application/json- response
address1?|Length
length <= 80address2?|Length
length <= 80city?|Length
length <= 50companyId?|Format
int32country?|Length
length <= 80dateOfBirth?|Format
date-timedateOfNameDay?|Format
date-timeemail?|Length
length <= 80eshopRepresentativeId?string|nullfax?|Length
length <= 20functionId?|Format
int32id?|Format
int32isInformEnabled?boolean|nullmobilePhone?|Length
length <= 20name?|Length
length <= 50note?string|nullphone?|Length
length <= 20surname?|Length
length <= 50title?|Length
length <= 10zipCode?|Length
length <= 6curl -X GET 'https://<your-instance>/api/companies/0/representatives/0' \ -H 'Authorization: Bearer <access-token>'{ "address1": "string", "address2": "string", "city": "string", "companyId": 0, "country": "string", "dateOfBirth": "2019-08-24T14:15:22Z", "dateOfNameDay": "2019-08-24T14:15:22Z", "email": "string", "eshopRepresentativeId": "string", "fax": "string", "functionId": 0, "id": 0, "isInformEnabled": true, "mobilePhone": "string", "name": "string", "note": "string", "phone": "string", "surname": "string", "title": "string", "zipCode": "string"}